Search the entitlements.

Entitlements required: tenantAdmin [Tenant Administrator], manageAppAccessOwner [Manage Application Entitlements], manageEntitlements [Manage Entitlements], readEntitlements [Read Entitlements].

The API is used to filter and search the entitlements based on its attributes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Query Params
string

Search filter. Supported attributes: code, name, description, type, subtype, application, category, extRef, status

Allowable values for type attribute: role, permission
Allowable values for subtype attribute: regular, dynamic
Allowable values for status attribute: waiting, inprogress, reviewpublish, failed, active, active_waiting, active_inprogress, active_reviewpublish, active_failed, waiting_for_deletion, deleting

Syntax:
- Operators for strings are =, !=.
- Operators for booleans are =, !=.
- Operators for numbers are >, <, >=, <=, =, !=.
- Logical operators are &, |.
- Parentheses to explicitly specify the intended precedence of statements.
- Use double quotes for values of type String.

For example:
search=name="roleName"&type="role"&subtype="dynamic"&status="active"
search=description="roleDescription"|(type!="permission"&subtype="regular")

string

Sort the result by attribute values. Supported attributes: name, description, type, subtype, application, category, extRef.

(+ ascending, - descending)
Default is ascending.
For example: sort=-name (sort results in descending order of name)

int32
Defaults to 500

The maximum number of resources for a page. By default, a maximum of 500 resources are returned, if no limit query parameter is passed..

For example, if the limit parameter is set to 25, then, 25 resources are fetched for a page.

int32
Defaults to 1

Page number used to get resources for specific page. Resources are returned for first page if no page query parameter is passed or less than 1 is passed.

For example, if the page parameter is set to 2, then, the resources are fetched for second page.

Responses

500

Your request can't be processed because of an internal server error.

Language
URL
LoadingLoading

Response
Choose an example:
application/json